# std::discard_block_engine::operator()

From cppreference.com
< cpp‎ | numeric‎ | random‎ | discard block engine

result_type operator()(); |  | (since C++11)

Generates a random value. The state of the underlying engine is advanced one or more times.

### Parameters

(none)

### Return value

(none)

### Exceptions

(none)

### See also

discard | advances the adaptor's state by a specified amount (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/numeric/random/discard_block_engine/operator()&oldid=43907"